Harry Potter Kano Coding Kit - The Compatible Devices Mega Thread *Community Project*


#1

Out of the box, the Harry Potter Kano Coding Kit has the following hardware and software requirements (updated January 8th 2019 [Source]):

A compatible device, with Bluetooth™ Low Energy (Smart 4.0 or newer), a compatible operating system and an internet connection.

Compatible Devices/Operating Systems:

Mac

Software:

  • Mac OS 10.10 (Yosemite) or later

Hardware:

  • Minimum 4GB RAM
  • Intel 64-bit processor - Core m, Core m3, Core m5, Core m7, Core i3, Core i5, Core i7, Core i9, Xeon.
  • Bluetooth® Low Energy (Bluetooth® Smart 4.0, Bluetooth® LE 4.2, Bluetooth® LE 5.0)
  • Mac models that meet this requirement: https://getkano.co/CodingWandMacCompatibility

iPad

Minimum Requirements:

Software:

iOS 10

Hardware:

iPad 4th Generation
iPad Mini 2 or iPad Mini 3
iPad Air 1st Generation

Recommended for Best Performance:

Software:

iOS 12 or newer

Hardware:

iPad 5th Generation and newer
iPad Mini 4 and newer
iPad Air 2 and newer
iPad Pro and newer

Windows

Software:

  • Windows 10 Home and Pro (1703 Creator’s Update or newer)

Hardware:

  • 1 gigahertz (GHz) or faster 64-bit (x64) processor
  • Minimum 4GB RAM
  • Bluetooth® Low Energy (Bluetooth® Smart 4.0, Bluetooth® LE 4.1, Bluetooth® LE 4.2, Bluetooth® LE 5.0)

Android Tablet

Software:

  • Android 5.0 (Lollipop) or higher

Hardware:

  • 7" touchscreen or larger
  • Minimum 1.5GB RAM
  • Bluetooth® Low Energy (Bluetooth® Smart 4.0, Bluetooth® LE 4.1, Bluetooth® LE 4.2, Bluetooth® LE 5.0)

Amazon Fire

Software:

  • Fire OS 5.6.2.0 or higher

Hardware:

  • Fire HD 8 (2016) or newer
  • Fire HD 10 (2017) or newer
  • Bluetooth® Low Energy (Bluetooth® Smart 4.0, Bluetooth® LE 4.1, Bluetooth® LE 4.2, Bluetooth® LE 5.0)

Please note: Fire devices that are running Amazon FreeTime or set up with a Fire For Kids account will not be able to connect to the Coding Wand, due to parental controls imposed on Bluetooth® connectivity by App/Account settings. Please see this thread for more information.

Kano Computer Kit

The Harry Potter Kano Coding Kit offers a limited experience with access to 10 unique challenges on Raspberry Pi 3 based Kano Computer Kits.

Software:

  • Kano OS 4.2 or higher

Hardware:

  • Raspberry Pi 3
  • Kano Computer Kit (April 2016 onwards)
  • Kano Computer Kit Complete
  • Kano Computer Kit Touch

All of these devices and OS are compatible based on specification (and we’ve tested a lot of them!) - but with thousands of Harry Potter Kano Coding Kits heading out into the wild this Holiday season, I thought it might be a good idea to create a mega thread of all the compatible device and software combinations that people are actually using.

This is a community project (we really can’t do it without you), so please join in by posting the following information:

  • Software: Name and Version number of OS

  • Hardware: Make, Model (and version), Processor, RAM

Let’s try and keep the thread clean and tidy, if you have something off topic about the Coding Wand to share, or need support, please create a fresh thread. :space_invader:

Looking forward to seeing how many different devices and OS people are using their coding wands with!

Cheers

Chris


Harry Potter Kano Coding Kit - The Incompatible/Unsupported Devices Thread
#2

Starting things off with my office machine! :nerd_face:

Software

  • macOS High Sierra
  • Version 10.13.6

Hardware

  • Apple
  • MacBook Pro (Retina, 13-inch, Early 2015)
  • 2.7 GHz Intel Core i5
  • 8 GB 1867 MHz DDR3

Harry Potter Kit WiFi Connectivity Help?
#3

Software

  • iOS 12.1.1

Hardware

  • iPad Mini 2
  • Model A1490
  • 1 GB RAM
  • 16 GB Storage

#6

Update to/Clarification of Mac Compatibility

Software:

  • Mac OS 10.10 (Yosemite) or later

Hardware:

  • Minimum 4GB RAM
  • Intel 64-bit processor - Core m, Core m3, Core m5, Core m7, Core i3, Core i5, Core i7, Core i9, Xeon.
  • Bluetooth® Low Energy (Bluetooth® Smart 4.0, Bluetooth® LE 4.1, Bluetooth® LE 4.2, Bluetooth® LE 5.0)
  • Mac models that meet this requirement: https://getkano.co/CodingWandMacCompatibility

#7

2 posts were split to a new topic: What is the “Limited Experience” on Kano OS


#9

I have tried using the Harry Potter Kano Coding Kit wand with two devices:

Device 1

  • Hardware
    Apple iPad Air 64GB (1st Generation, with Wifi / Cellular)

  • System:
    iOS 12.1.1

  • Wand Compatibility: Excellent
    The wand connects easily, maintains the connection, and there are no lags.

  • Other Notes:
    The coding challenge interface does not work well with the touch-based input of the iPad. In particular, my daughter has troubles with numeric input as well as positioning her finger presses in the exact right spot to activate interface elements.

Device 2

  • Hardware
    Macbook Air 11.6" (mid-2013, model MD711LL/A)
    ~ 1.3 GHz Intel Core i5
    ~ 4 GB 1600 MHz LPDDR3 SDRAM
    ~ Bluetooth 4.0
    ~ Bluetooth Low Energy Supported: Yes

  • System:
    macOS High Sierra, version 10.13.6

  • Wand Compatibility: Excellent (after resetting the Bluetooth module, see below)
    When I first tried using the Harry Potter Kano wand with my Macbook air, it frequently failed to connect, and once connected lost the connection within 2-5 minutes. To fix these connection issues, I simply had to follow the instructions to reset my laptop’s Bluetooth module as explained in this thread: A Solution to Coding Wand Bluetooth Connection Issues on Mac.


Harry Potter Kano Coding Kit - The Incompatible/Unsupported Devices Thread
#10

Update: A Solution to Coding Wand Bluetooth Connection Issues on Mac

Thanks for sharing @flyingtacos!

I’m doing some investigation into the Macbook Air bluetooth connectivity issue at the moment - will create a new thread in the morning with some potential fixes. :+1:

Thanks!

Chris


#11

After some more testing and investigation, we’ve added in one more iOS device (iPad Air 1st Gen), and split the iPads into two groups.

Minimum Requirements:

Software:

iOS 10

Hardware:

iPad 4th Generation
iPad Mini 2 or iPad Mini 3
iPad Air 1st Generation

Recommended for Best Performance:

Software:

iOS 12 or newer

Hardware:

iPad 5th Generation and newer
iPad Mini 4 and newer
iPad Air 2 and newer
iPad Pro and newer

Note: Performance of the devices listed under “minimum requirements” may be affected by the number of additional apps open on the device, amount of free space on the device, level of battery charge, and condition of battery. Closing all other apps on your iOS device can improve performance of the Kano Code App.


#12

Since your suggested solution to fix Bluetooth connectivity issues worked perfectly for me, I have updated my device compatibility report to reflect the true compatibility of the Macbook Air. Thanks again for your help!